org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class MeanTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MeanTest

- Direct Known Subclasses:
    MeanTest.Traversals

      public abstract class MeanTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MeanTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MeanTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_age_mean()`
    `void` | `g_V_foo_mean()`
    `void` | `g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_meanX()`
    `abstract Traversal<Vertex,Double>` | `get_g_V_age_fold_meanXlocalX()`
    `abstract Traversal<Vertex,Double>` | `get_g_V_age_mean()`
    `abstract Traversal<Vertex,Number>` | `get_g_V_foo_fold_meanXlocalX()`
    `abstract Traversal<Vertex,Number>` | `get_g_V_foo_mean()`
    `abstract Traversal<Vertex,Map<String,Number>>` | `get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_meanX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MeanTest

          public MeanTest()

  - ### Method Detail

    - #### get_g_V_age_mean

          public abstract Traversal<Vertex,Double> get_g_V_age_mean()

    - #### get_g_V_age_fold_meanXlocalX

          public abstract Traversal<Vertex,Double> get_g_V_age_fold_meanXlocalX()

    - #### get_g_V_foo_mean

          public abstract Traversal<Vertex,Number> get_g_V_foo_mean()

    - #### get_g_V_foo_fold_meanXlocalX

          public abstract Traversal<Vertex,Number> get_g_V_foo_fold_meanXlocalX()

    - #### get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_meanX

          public abstract Traversal<Vertex,Map<String,Number>> get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_meanX()

    - #### g_V_age_mean

          public void g_V_age_mean()

    - #### g_V_foo_mean

          public void g_V_foo_mean()

    - #### g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_meanX

          public void g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_meanX()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.